> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revocalize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Train Model

> Train a custom AI voice model after [creating it](/api-reference/models/create) in a pending state.

### Request

**model\_id** `string` *required*

The model ID to train. This is the ID of the model you created in a pending state.

**epochs** `integer` *required*

The number of epochs to train the model. The minimum value is 100. The allowed range is 1 to 100,000. More epochs will result in a better model, but will take longer to train.

### Response

**status** `string`

The status of the training task. Possible values are: `training`, `completed`, `failed`.

**model\_id** `string`

The ID of the model being trained. This is the same as the `model_id` in the request URL.

**current\_epoch** `integer`

The current epoch of the training task. This value will be 0 if the training task has not started yet.

```bash Example Request theme={null}
curl --location --request POST 'https://api.revocalize.ai/models/123456/train' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--form 'epochs=100'
```

```json Response theme={null}
{
  "status": "training",
  "model_id": "123456",
  "current_epoch": 50001,
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.